org.apache.xerces.impl.dtd

## Class XMLNotationDecl

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLNotationDecl

    public class XMLNotationDecl
    extends java.lang.Object

Version:
  $Id: XMLNotationDecl.java 446755 2006-09-15 21:56:27Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`java.lang.String` `baseSystemId` base systemId
`java.lang.String` `name` name
`java.lang.String` `publicId` publicId
`java.lang.String` `systemId` systemId

### Constructor Summary

Constructors
Constructor and Description
`XMLNotationDecl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` clear
`void` `setValues(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String baseSystemId)` setValues

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

name

#### publicId

    public java.lang.String publicId

publicId

#### systemId

    public java.lang.String systemId

systemId

#### baseSystemId

    public java.lang.String baseSystemId

base systemId

### Constructor Detail

#### XMLNotationDecl

    public XMLNotationDecl()

### Method Detail

#### setValues

    public void setValues(java.lang.String name,
                          java.lang.String publicId,
                          java.lang.String systemId,
                          java.lang.String baseSystemId)

setValues

Parameters:
  `name` -
  `publicId` -
  `systemId` -

#### clear

    public void clear()

clear